package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.AlbumArticleClassify;

public interface IAlbumArticleClassifyDao {
	
	public AlbumArticleClassify add(AlbumArticleClassify aac);
	public void modify (AlbumArticleClassify aac);
	public boolean delByID(long id);
	public void setMain(long id);
	public AlbumArticleClassify findByID(long id);
	public AlbumArticleClassify findMainByGID(long gid);
	public List<AlbumArticleClassify> findReMainByGID(long gid);
	public AlbumArticleClassify findMainByAID(long aid);
	public List<AlbumArticleClassify> findByGID(long gid);
	public List<AlbumArticleClassify> findByAID(long aid);
	public List<AlbumArticleClassify> findSecondaryByAID(long aid);
	public int maxOrdn(long gid);
	

}
